Doesn't work in Firefox 29+ Bewertet mit 3 von 5 Sternen

Works fine for Firefox 4 through 28, but doesn't work in Firefox 29+. (In Firefox 29, the focus last selected tab functionality does not work when closing a tab using the "X" button; also, closing a background tab causes focus to shift temporarily to the background tab you are closing.)

I submit a simple fix to the author, but he has indicated that he's too busy and won't apply a fix for about two months, if he applies one at all. He has indicated that he's considering switching to Chrome because he does not like Firefox 29.

Because it appears that the author is not interested in providing a fix, I have attempted to help my fellow users by posting instructions here for fixing the issue manually in your own copy of this addon ... it's as simple as changing a single string in three places ... I also included a link to an already patched version for anyone who doesn't know how to edit the file themselves. My post was deleted. I don't know if the addon author deleted it or if the AMO staff did. I thought maybe external links are no longer allowed (I know I've seen people post external links to fixes before), so I took the next step and created my own version of this extension on AMO, and posted here again linking to the working version of the addon, but that post was removed as well. Well, I thought maybe reviews aren't allowed to link to anything, period, so I'm not linking to anything this time ...

If you want a working version of this addon, it is available on this site and is just a search away! The name is quite similar to this one, but with an obvious change made.

For the record, I have checked the AMO "Review Guidelines" and none of my three posts have violated any of them, so at this time it is a mystery to me why someone is obstructing my effort to help users of Firefox 29+ enjoy this addon.

Diese Bewertung wurde für eine vorherige Version des Add-ons (1.1.4) abgegeben. 

Firefox 29 and SeaMonkey!

Hello Michael,

first of all thanks for your comment and your effort in creating a version for Firefox 29! Be sure that I definitely did NOT delete any of your comments! I have no Idea why it has been deleted.

But, and it's really a coincidence, this weekend I actually found some time to do a quick fix to my add-on which enables compatibility with Firefox 29, *without* breaking compatibility with older versions. So you can update the addon and continue using it, and users like me who don't like Firefox 29 and continue using Firefox 24 ESR can still use the newest Add-on version.

Moreover, no worry that I'll permanently switch to Chrome... Definitely not ;-)

For now, FF24 ESR is perfect, and maybe sometime I get to use newer Firefox versions when I have found a way to customize it the way I like it (userChrome.css etc.) - although it will never look exactly as before, I realize that.

So, if you want, you can switch back to my Add-On as soon the updated version has passed Mozilla's Review Process! This may take a few days.

Oh, and good news for all SeaMonkey users: This new version now also runs on SeaMonkey!! :-)

Best regards,
Fabian